Bug 12615 - Remove CGI::scrolling_list from marc_subfields_structure.pl
Summary: Remove CGI::scrolling_list from marc_subfields_structure.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-20 13:31 UTC by Bernardo Gonzalez Kriegel
Modified: 2015-06-04 23:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12615: Remove CGI::scrolling_list from marc_subfields_structure.pl (14.89 KB, patch)
2014-07-20 22:09 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 12615: Remove CGI::scrolling_list from marc_subfields_structure.pl (15.57 KB, patch)
2014-07-25 20:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 12615: Remove CGI::scrolling_list from marc_subfields_structure.pl (15.62 KB, patch)
2014-07-29 06:53 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 12615: Remove CGI::scrolling_list from marc_subfields_structure.pl (15.74 KB, patch)
2014-07-29 21:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-07-20 13:31:54 UTC
Many instances to remove in this file
Comment 1 Bernardo Gonzalez Kriegel 2014-07-20 22:09:51 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-07-25 14:34:37 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #1)
> 'Koha field' is new (for me at last)

Actually it should be in the "Advanced constraints" tab.
With your patch, I get the "Koha field" in the last tab "Other options (choose one)" but I get "Koha link:HASH(0xc9b9ca8)" in the "Advanced constraints".

Marked as Failed QA.
Comment 3 Bernardo Gonzalez Kriegel 2014-07-25 20:18:57 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2014-07-25 20:20:56 UTC
(In reply to Jonathan Druart from comment #2)
> 
> Actually it should be in the "Advanced constraints" tab.
> With your patch, I get the "Koha field" in the last tab "Other options
> (choose one)" but I get "Koha link:HASH(0xc9b9ca8)" in the "Advanced
> constraints".
> 
> Marked as Failed QA.

Oops, FQA is absolutely correct!
Fixed now :)
Comment 5 Chris Cormack 2014-07-29 06:53:22 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-07-29 21:44:30 UTC
Created attachment 30315 [details] [review]
[PASSED QA] Bug 12615: Remove CGI::scrolling_list from marc_subfields_structure.pl

This patch removes all instances on this file.

Also re-enable editor feature to show/change kohafield value, can't find when or why it was removed.
Up to QA or RM for consideration, simply to remove.
But is strange to have a non editable field on auth frameworks.

To test:
1. Apply the patch
2. Go to Administration > MARC frameworks
3. Clic MARC structure of any auth fw
4. Clic subfield on any tag, e.g. 020
5. Clic 'Edit subfields' button

Now the tests proper

6. On any subfield, check pulldown
'Managed in tab', was replaced, so test
if it works and search for regressions
Change, save, load, change again

7. Clic on 'Advanced constraints'
(2) scrolling list removed
At the bottom, check 'Koha link', was changed
Check assign/remove/save/load values, search for regressions

8. Clic on 'Other options' box
Eight(6) scrolling_list removed, they use to
feed three pulldowns, so check each one

'Authorised value',
'Thesaurus'
'Plugin'
Check assign/remove/save/load values, search for regressions
Check adding a new subfield

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script, no regressions found.
Comment 7 Tomás Cohen Arazi 2014-07-30 13:52:18 UTC
Patch pushed to master.

Thanks Bernardo!